diff --git a/api/docker-compose.yml b/api/docker-compose.yml
deleted file mode 100644
index 4f79eb301b1241c91573c7e4d34d70686f82e7c2..0000000000000000000000000000000000000000
--- a/api/docker-compose.yml
+++ /dev/null
@@ -1,42 +0,0 @@
-version: '2'
-services:
-    postgres:
-      image: postgres:9.5
-
-    api:
-      build: .
-      links:
-        - postgres
-        - redis
-      command: ./compose/django/gunicorn.sh
-      env_file: .env
-      volumes:
-        - ./media:/app/funkwhale_api/media
-        - ./staticfiles:/app/staticfiles
-        - ./music:/music
-      ports:
-        - "127.0.0.1:6001:5000"
-
-    redis:
-      image: redis:3.0
-
-    celeryworker:
-      build: .
-      env_file: .env
-      links:
-       - postgres
-       - redis
-      command: celery -A funkwhale_api.taskapp worker -l INFO
-      volumes:
-        - ./media:/app/funkwhale_api/media
-        - ./music:/music
-      environment:
-        - C_FORCE_ROOT=True
-
-    celerybeat:
-      build: .
-      env_file: .env
-      links:
-        - postgres
-        - redis
-      command: celery -A funkwhale_api.taskapp beat -l INFO
diff --git a/api/install_python_dependencies.sh b/api/install_python_dependencies.sh
deleted file mode 100755
index 34929e60790b7a6708729fdc35f834d414597da9..0000000000000000000000000000000000000000
--- a/api/install_python_dependencies.sh
+++ /dev/null
@@ -1,37 +0,0 @@
-#!/bin/bash
-
-pip --version >/dev/null 2>&1 || {
-    echo >&2 -e "\npip is required but it's not installed."
-    echo >&2 -e "You can install it by running the following command:\n"
-    echo >&2 "wget https://bootstrap.pypa.io/get-pip.py --output-document=get-pip.py; chmod +x get-pip.py; sudo -H python3 get-pip.py"
-    echo >&2 -e "\n"
-    echo >&2 -e "\nFor more information, see pip documentation: https://pip.pypa.io/en/latest/"
-    exit 1;
-}
-
-virtualenv --version >/dev/null 2>&1 || {
-    echo >&2 -e "\nvirtualenv is required but it's not installed."
-    echo >&2 -e "You can install it by running the following command:\n"
-    echo >&2 "sudo -H pip3 install virtualenv"
-    echo >&2 -e "\n"
-    echo >&2 -e "\nFor more information, see virtualenv documentation: https://virtualenv.pypa.io/en/latest/"
-    exit 1;
-}
-
-if [ -z "$VIRTUAL_ENV" ]; then
-    echo >&2 -e "\nYou need activate a virtualenv first"
-    echo >&2 -e 'If you do not have a virtualenv created, run the following command to create and automatically activate a new virtualenv named "venv" on current folder:\n'
-    echo >&2 -e "virtualenv venv --python=\`which python3\`"
-    echo >&2 -e "\nTo leave/disable the currently active virtualenv, run the following command:\n"
-    echo >&2  "deactivate"
-    echo >&2 -e "\nTo activate the virtualenv again, run the following command:\n"
-    echo >&2  "source venv/bin/activate"
-    echo >&2 -e "\nFor more information, see virtualenv documentation: https://virtualenv.pypa.io/en/latest/"
-    echo >&2 -e "\n"
-    exit 1;
-else
-
-    pip install -r requirements/local.txt
-    pip install -r requirements/test.txt
-    pip install -r requirements.txt
-fi
diff --git a/api/runtests b/api/runtests
deleted file mode 100755
index 48e7b82679e6cab413f4d435cfc0b8f794019bb0..0000000000000000000000000000000000000000
--- a/api/runtests
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/bash
-
-DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-
-docker-compose -f $DIR/test.yml run test pytest "$@"